!/bin/bash

##################################################
# Install Altiris Agent for Linux
##################################################

mkdir /tmp/agents
mkdir /mnt/altiris

cd /tmp/agents
# NOTE: The following line assumes that the Altiris share is configured with
# access enabled for the samba or window user "sgtk0clnt" with password "sgtk0clnt"
# on Altiris server 192.168.0.25

SERVERIP=192.168.0.1

mount -t smbfs -o username=sgtk0clnt,password=sgtk0clnt //$SERVERIP/eXpress /mnt/altiris

cp /mnt/altiris/agents/adlagent/altiris-adlagent*i386*.* /tmp/agents
cp /mnt/altiris/altiris-adlagent*i386*.* /tmp/agents
cp /mnt/altiris/Agents/ADLAgent/altiris-adlagent*i386*.* /tmp/agents

echo Altiris Agent Install Beginning
cd /tmp/agents

for agentBIN in *.bin; do
	echo Altiris Agent Binary Found
	echo Installing Agent Binary
	sh $agentBIN
	
done

sleep 15
cp /etc/rc.d/rc5.d/S99adlagent.sh /tmp/S99adlagent.sh
rm /etc/rc.d/rc5.d/S99adlagent.sh
