@echo off 

rem ********************************************************************************
rem *
rem * dafix.bat
rem *
rem * This file, which is copied to and run from the destination server, 
rem * fixes the DOS copy truncation of all IBM Director 5.10 files.
rem *
rem * This batch file is called by from diragent.bat.
rem *
rem ********************************************************************************


rem * Rename the files under the FILES directory 
cd \APPS\diragent\FILES

ren DIR510~1.EXE        dir5_agent_windows.exe			                > nul
ren DIRAGENT.RSP        diragent.rsp				                    > nul

rem * Rename the files under the META-INF directory 
cd \APPS\diragent\META-INF

ren  DIR510~1.XML       dir5.10_agent_windows.xml                       > nul
ren  DIR510~2.XML       dir5.10_agent_windows_de.xml                    > nul
ren  DIR510~3.XML       dir5.10_agent_windows_es.xml                    > nul
ren  DIR510~4.XML       dir5.10_agent_windows_fr.xml                    > nul
ren  DIEC98~1.XML       dir5.10_agent_windows_installArtifact.xml       > nul
ren  DIF02C~1.XML       dir5.10_agent_windows_ja_JP.xml                 > nul
ren  DIA7C6~1.XML       dir5.10_agent_windows_ko.xml                    > nul
ren  DIC638~1.XML       dir5.10_agent_windows_packagedIU.xml            > nul
ren  DIE823~1.XML       dir5.10_agent_windows_zh_CN.xml                 > nul
ren  DI0D41~1.XML       dir5.10_agent_windows_zh_TW.xml                 > nul

rem * Rename the resources directory
ren  RESOUR~1           resources                                       > nul

rem * Rename the files under the resources directory 
cd \APPS\diragent\META-INF\resources
ren CSDIRI~1.PRO        csdirinstall_de.properties                      > nul
ren CSDIRI~2.PRO        csdirinstall_en.properties                      > nul
ren CSDIRI~3.PRO        csdirinstall_es.properties                      > nul
ren CSDIRI~4.PRO        csdirinstall_fr.properties                      > nul
ren CSA69F~1.PRO        csdirinstall_ja_JP.properties                   > nul
ren CS497C~1.PRO        csdirinstall_ko.properties                      > nul
ren CSC517~1.PRO        csdirinstall_zh_CN.properties                   > nul
ren CS1A5C~1.PRO        csdirinstall_zh_TW.properties                   > nul

cd \


:END